Package ru.bitel.bgbilling.modules.gorod.server.bean

# Class TagManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.gorod.server.bean.TagManager

public class TagManager extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TagManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTag(String tagTitle)`
  `void`
  `deleteTag(int tagId)`
  `void`
  `deleteTagFromContract(int contractId, int tagId)`
  `Tag`
  `getTagById(int tagId)`
  `List<Tag>`
  `getTagList()`
  `List<Tag>`
  `getTagListForContract(int contractId)`
  `Set<Integer>`
  `getTagSetForContract(int contractId)`
  `void`
  `linkTagToContract(int contractId, int tagId)`
  `void`
  `updateTag(Tag tag)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TagManager

    public TagManager(Connection con, int moduleId)

- ## Method Details

  - ### getTagList

    public List<Tag> getTagList() throws SQLException
    Throws:
      `SQLException`

  - ### getTagListForContract

    public List<Tag> getTagListForContract(int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### getTagSetForContract

    public Set<Integer> getTagSetForContract(int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### getTagById

    public Tag getTagById(int tagId) throws SQLException
    Throws:
      `SQLException`

  - ### updateTag

    public void updateTag(Tag tag) throws SQLException
    Throws:
      `SQLException`

  - ### addTag

    public void addTag(String tagTitle) throws SQLException
    Throws:
      `SQLException`

  - ### deleteTag

    public void deleteTag(int tagId) throws SQLException
    Throws:
      `SQLException`

  - ### deleteTagFromContract

    public void deleteTagFromContract(int contractId, int tagId) throws SQLException
    Throws:
      `SQLException`

  - ### linkTagToContract

    public void linkTagToContract(int contractId, int tagId) throws SQLException
    Throws:
      `SQLException`